function index = ModelSelection(X,k_max)
    [n,m] = size(X);
    loggam_X = arrayfun(@myloggam,X+1);
    naiveMDLs = zeros(1,k_max);
    proposedMDLs = zeros(1,k_max);
    fprintf('k, ML, naiveMDL, proposedMDL\n');
    for i=1:k_max
        [~,~,ML,ML2] = VB_kl(X,i,loggam_X);
        Poiss_C = (n*i+i*m-i^2)*(0.5*log(1/(2*pi))+(1+log2(10)/2)*log(2)+logdes(log2(10)));
        naiveMDLs(i) = - ML2 + Poiss_C;
        proposedMDLs(i) = - ML + MDL_C(n,m,i,10,0.8034,1.1638);
        fprintf('%d, %i, %i, %i\n', i, ML, naiveMDLs(i), proposedMDLs(i));
    end
    [~, naiveMDL_id] = min(naiveMDLs);
    [~, proposedMDL_id] = min(proposedMDLs);
    index = [naiveMDL_id proposedMDL_id];
end