function index = ModelSelectionWrapper(n,m,k,k_max)
    
    % s
    T = 20;
    
    naiveMDL = zeros(k_max,1);
    proposedMDL = zeros(k_max,1);
    for i=1:T
        [X,~,~]=CreateData(n,m,k,i);
        id = ModelSelection(X,k_max);
        naiveMDL(id(1)) = naiveMDL(id(1)) + 1;
        proposedMDL(id(2)) = proposedMDL(id(2)) + 1;
        if rem(i,10)==0
            fprintf('%i',i/10);
        end
%        fprintf('%i',i);
    end
    index = [naiveMDL proposedMDL];
    PoCA = [naiveMDL(k) proposedMDL(k)]./T;
    benefit = max(0,1-sum(abs([1:k_max]'-k)*ones(1,2).*index,1)./T);
    index = [index; PoCA; benefit];
end