function index = ModelSelectionWrapper2(n,m,k,k_max)

    % s
    T = 100;
    
    naiveMDL = zeros(k_max,1);
    Gaussian = zeros(k_max,1);
    for i=1:T
        [X,~,~]=CreateData(n,m,k,i);
        id = ModelSelection2(X,k_max);
        Gaussian(id(1)) = Gaussian(id(1))+1;
        naiveMDL(id(2)) = naiveMDL(id(2))+1;
        if rem(i,10)==0
            fprintf('%i',i/10);
        end
    end
    index = [Gaussian naiveMDL];
    PoCA = [Gaussian(k) naiveMDL(k)]./T;
    benefit = max(0,1-sum(abs([1:k_max]'-k)*ones(1,2).*index,1)./T);
    index = [index; PoCA; benefit];

end