function index = ModelSelection2(X,k_max)
    [n,m] = size(X);
    loggam_X = arrayfun(@myloggam,X+1);
    Gaussians = zeros(1,k_max);
    naiveMDLs = zeros(1,k_max);
%    fprintf('k, ML, Gaussian, Vreeken\n');
    for i=1:k_max
        [~,~,LB,naiveML2] = VB_kl2(X,i,loggam_X);
        Gaussians(i) = - LB;
        Poiss_C = (n*i+i*m-i^2)*(0.5*log(1/(2*pi))+(1+log2(10)/2)*log(2)+logdes(log2(10)));
        naiveMDLs(i) = - naiveML2 + Poiss_C + n*i*(0.5*log(0.5)-log(gamma(0.5))-0.5+log(log(5.0239/0.0010))) + i*m*(0.5*log(0.5)-log(gamma(0.5))-0.5+log(log(25.1194/0.0049)));
%        fprintf('%d, %i, %i, %i\n', i, naiveML2, Gaussians(i), naiveMDLs(i));
    end
    [~, Gaussian_id] = min(Gaussians);
    [~, naiveMDL_id] = min(naiveMDLs);
    index = [Gaussian_id naiveMDL_id];

end